<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Adventurer List</title>
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1/css/bootstrap.min.css">
</head>
<body>
<div class="py-5">
    <div class="container">
        <div class="row">
            <div class="text-center mx-auto col-md-12">
                <h1>Adventurer List</h1>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4 p-3" th:each="adventurer: ${adventurers}">
                <div class="card text-center text-dark">
                    <div class="card-body p-4">
                        <!--ToDo: Complete me-->
                        <h1 th:text="${adventurer.getName   ()}"></h1>
                        <h3 class="text-left"><b>Quest:</b></h3>
                        <ul class="pl-3 text-left" th:each="quest: ${adventurer.quests}">
                            <!--ToDo: Complete me-->
                            <li th:text="${quest.getTitle()}"></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="text-center col-md-12">
                <a th:href="@{/create-quest}"><button class="btn btn-outline-primary">Add Another Quest</button></a>
            </div>
        </div>
    </div>
</div>

<script src="/webjars/jquery/3.4.1/jquery.min.js"></script>
<script src="/webjars/popper.js/1.16.0/popper.min.js"></script>
<script src="/webjars/bootstrap/4.4.1/js/bootstrap.min.js"></script>
</body>
</html>